Velocity
  1. Velocity
  2. VELOCITY-324

Cannot compile Velocity with JDK 1.5 due to use of the newly-reserved word "enum"

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 1.5
    • Fix Version/s: 1.5
    • Component/s: Build
    • Labels:
      None
    • Environment:
      Operating System: All
      Platform: All

      Description

      Currently, Velocity doesn't compile with Java5 because it uses enum in the
      following classes:
      o.a.v.runtime.parser.Parser
      o.a.v.texen.Generator
      o.a.v.util.EnumerationIterator

      To avoid future issues, I think the source should be changed.

        1. Of course, you might have to do something with javacc for Parser...

        Activity

        No work has yet been logged on this issue.

          People

          • Assignee:
            Daniel Rall
            Reporter:
            Shinobu Kawai
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development